Package org.eclipse.birt.chart.model.type

# Interface BubbleSeries

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `LineSeries`, `org.eclipse.emf.common.notify.Notifier`, `ScatterSeries`, `Series`

All Known Implementing Classes:
  `BubbleSeriesImpl`

public interface BubbleSeries extends ScatterSeries
A representation of the model object 'Bubble Series'. This is a Series type that holds data for Bubble Charts.

The following features are supported:

- `Acc Line Attributes`
- `Acc Orientation`

See Also:
  - `TypePackage.getBubbleSeries()`

## Method Summary

Modifier and Type
Method
Description
`BubbleSeries`
`copyInstance()`
`LineAttributes`
`getAccLineAttributes()`
Returns the value of the 'Acc Line Attributes' containment reference.
`Orientation`
`getAccOrientation()`
Returns the value of the 'Acc Orientation' attribute.
`boolean`
`isSetAccOrientation()`
Returns whether the value of the '`Acc Orientation`' attribute is set.
`void`
`setAccLineAttributes(LineAttributes value)`
Sets the value of the '`Acc Line Attributes`' containment reference.
`void`
`setAccOrientation(Orientation value)`
Sets the value of the '`Acc Orientation`' attribute.
`void`
`unsetAccOrientation()`
Unsets the value of the '`Acc Orientation`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.birt.chart.model.type.LineSeries

`getLineAttributes, getMarker, getMarkers, getShadowColor, isConnectMissingValue, isCurve, isPaletteLineColor, isSetConnectMissingValue, isSetCurve, isSetPaletteLineColor, setConnectMissingValue, setCurve, setLineAttributes, setMarker, setPaletteLineColor, setShadowColor, unsetConnectMissingValue, unsetCurve, unsetPaletteLineColor`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.birt.chart.model.component.Series

`canBeStacked, canParticipateInCombination, canShareAxisUnit, getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getDefinedDataDefinitionIndex, getDisplayName, getLabel, getLabelPosition, getLabelPositionScope, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isSingleCache, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, translateFrom, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

## Method Details

### getAccLineAttributes

LineAttributes getAccLineAttributes()
Returns the value of the 'Acc Line Attributes' containment reference. Specifies the attributes for the line used to represent the acceleration line to the Bubble.

Returns:
  the value of the 'Acc Line Attributes' containment reference.
See Also:
  - `setAccLineAttributes(LineAttributes)`
  - `TypePackage.getBubbleSeries_AccLineAttributes()`

### setAccLineAttributes

void setAccLineAttributes(LineAttributes value)
Sets the value of the '`Acc Line Attributes`' containment reference.

Parameters:
  `value` - the new value of the 'Acc Line Attributes' containment reference.
See Also:
  - `getAccLineAttributes()`

### getAccOrientation

Orientation getAccOrientation()
Returns the value of the 'Acc Orientation' attribute. The default value is `"Horizontal"`. The literals are from the enumeration `Orientation`. Specifies the orientation of the acceleration line.

Returns:
  the value of the 'Acc Orientation' attribute.
See Also:
  - `Orientation`
  - `isSetAccOrientation()`
  - `unsetAccOrientation()`
  - `setAccOrientation(Orientation)`
  - `TypePackage.getBubbleSeries_AccOrientation()`

### setAccOrientation

void setAccOrientation(Orientation value)
Sets the value of the '`Acc Orientation`' attribute.

Parameters:
  `value` - the new value of the 'Acc Orientation' attribute.
See Also:
  - `Orientation`
  - `isSetAccOrientation()`
  - `unsetAccOrientation()`
  - `getAccOrientation()`

### unsetAccOrientation

void unsetAccOrientation()
Unsets the value of the '`Acc Orientation`' attribute.

See Also:
  - `isSetAccOrientation()`
  - `getAccOrientation()`
  - `setAccOrientation(Orientation)`

### isSetAccOrientation

boolean isSetAccOrientation()
Returns whether the value of the '`Acc Orientation`' attribute is set.

Returns:
  whether the value of the 'Acc Orientation' attribute is set.
See Also:
  - `unsetAccOrientation()`
  - `getAccOrientation()`
  - `setAccOrientation(Orientation)`

### copyInstance

BubbleSeries copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `LineSeries`
Specified by:
  `copyInstance` in interface `ScatterSeries`
Specified by:
  `copyInstance` in interface `Series`